%define build_plf 0
%{?_with_plf: %global build_plf 1}

%define build_modules 0
%{?_with_modules: %global build_modules 1}

%define enable_jasper	1
%{?_with_jasper: %global enable_jasper 1}

%define enable_graphwiz	0
%{?_with_graphwiz: %global enable_graphwiz 1}

%define major		10.7.0
%define libname		%mklibname Magick %{major}
%define fversion	6.3.2
%define	rev		9
%define subrel		3
%define rel		5
%define qlev		Q16

%define dversion	%{fversion}-%{rev}

# enablefpx = 0 (don't use libfpx)
# enablefpx = 1 (use libfpx)
%define enablefpx	0

%if %build_plf
# fpx build is broken, tests fail
%define enablefpx	0
%define distsuffix plf
%endif

Summary:	An X application for displaying and manipulating images
Name:		ImageMagick
%if %rev > 0
Version:	%{fversion}.%{rev}
%else
Version:	%{fversion}
%endif
Release:	%mkrel %rel
License:	BSD style
Group:		Graphics
URL:		http://www.imagemagick.org/
Source0:	ftp://ftp.sunet.se/pub/multimedia/graphics/ImageMagick/ImageMagick-%{dversion}.tar.bz2
Source1:	ImageMagick.pdf.bz2
# re-scaled from ftp://ftp.imagemagick.org/pub/ImageMagick/images/magick-icon.png
Source10:	magick-icon_16x16.png
Source11:	magick-icon_32x32.png
Source12:	magick-icon_48x48.png
Source13:	magick-icon_64x64.png
#
Patch0:		ImageMagick-6.2.7-docdir.patch
Patch4:		ImageMagick-6.0.1-includedir.patch
Patch7:		ImageMagick-6.3.2-urw.patch
Patch8:		ImageMagick-6.2.7-libname.patch
Patch17:	ImageMagick-6.3.2-fpx.patch
Patch18:	ImageMagick-6.1.7-windows-fontdir.patch
Patch19:	ImageMagick-6.2.9-8-libpath.patch
Patch20:	ImageMagick-6.2.5-fix-montageimages-test.patch
Patch21:	ImageMagick-6.3.2-CVE-2007-1667_1797.patch
Patch22:        ImageMagick-6.3.2-CVE-2007-4985.patch
Patch23:        ImageMagick-6.3.2-CVE-2007-4986.patch
Patch24:        ImageMagick-6.3.0.0-CVE-2007-4987.patch
Patch25:        ImageMagick-6.3.2-CVE-2007-4988.patch
Patch26:        ImageMagick-6.3.0.0-quantum-memory.patch
Patch27:        ImageMagick-6.3.0.0-setimageextent.patch
Patch28:	ImageMagick-6.2.8-CVE-2008-1096.patch
Patch29:	ImageMagick-6.3.2-CVE-2008-1097.patch

Requires:	%{libname} = %{version}
Requires:	ghostscript
BuildRequires:	ghostscript
BuildRequires:	bzip2-devel
BuildRequires:	freetype2-devel >= 2.1.7
%if %{enablefpx}
BuildRequires:	libfpx-devel
%endif
%if %{enable_jasper}
BuildRequires:	libjasper-devel
%endif
%if %{enable_graphwiz}
Requires:	graphviz
BuildRequires:	libgraphviz-devel >= 2.9.0
%endif
BuildRequires:	libexif-devel
BuildRequires:	libjbig-devel
BuildRequires:	lcms-devel >= 1.15
BuildRequires:	tiff-devel
BuildRequires:	libdjvulibre-devel
BuildRequires:	libwmf-devel
BuildRequires:	libxml2-devel
BuildRequires:	XFree86-devel
BuildRequires:	perl-devel
# (oe) P19 should take care of the linking against old libs
# problem, at least for the perl-Image-Magick package
#BuildConflicts:	libMagick-devel < %{version}
BuildRequires:	autoconf2.5
BuildRequires:	automake1.8
BuildRequires:	libltdl-devel >= 1.4.3-10mdk
BuildRequires:	libgd-devel
BuildRequires:	chrpath
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
ImageMagick is a powerful image display, conversion and manipulation tool. It
runs in an X session. With this tool, you can view, edit and display a variety
of image formats.

Build Options:
--with plf		Build for PLF (fpx support)
--with modules		Compile all supported image types as modules
--with jasper		Enable JPEG2000 support (enabled)
--with graphviz		Enable Graphviz support (enabled)

%if %build_plf
This package is in PLF because it provides additional support for:
- libfpx
which is covered by software patents.
%endif

%package 	desktop
Summary:	ImageMagick menus
Group:		Graphics
Requires:	xterm

%description	desktop
This package contains the menu and .desktop entries to run the "display"
command from the menu.

%package -n	%{libname}
Summary:	ImageMagick libraries
Group:		System/Libraries
Obsoletes:	ImageMagick-lib	libMagick5
Provides:	ImageMagick-lib = %{version}-%{release}
Provides:	libMagick5 = %{version}-%{release}

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with ImageMagick libraries.

%package -n	%{libname}-devel
Summary:	Static libraries and header files for ImageMagick app development
Group:		Development/C
Obsoletes:	%{name}-devel
Obsoletes:	libMagick5-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libMagick-devel = %{version}-%{release}
Provides:	libMagick5-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	libjbig-devel
%if %{enable_jasper}
Requires:	libjasper-devel
%endif
%if %{enablefpx}
Requires:	libfpx-devel
%endif
%if %{enable_graphwiz}
Requires:	libgraphviz-devel
%define _requires_exceptions devel(libcdt)\\|devel(libcircogen)\\|devel(libcommon)\\|devel(libdotgen)\\|devel(libdotneato)\\|devel(libfdpgen)\\|devel(libgraph)\\|devel(libgvrender)\\|devel(libneatogen)\\|devel(libpack)\\|devel(libpathplan)\\|devel(libtwopigen)\\|devel(libgvc)\\|devel(libgvgd)
%endif

%description -n	%{libname}-devel
If you want to create applications that will use ImageMagick code or
APIs, you'll need to install these packages as well as
ImageMagick. These additional packages aren't necessary if you simply
want to use ImageMagick, however.

ImageMagick-devel is an addition to ImageMagick which includes static
libraries and header files necessary to develop applications.

%package -n	perl-Image-Magick
Summary:	Libraries and modules for access to ImageMagick from perl
Group:		Development/Perl
Requires:	%{name} = %{version}
Obsoletes:	perl-Magick
Provides:	perl-Magick
%if %{enable_graphwiz}
Requires:	graphviz
%endif

%description -n	perl-Image-Magick
This is the ImageMagick perl support package. It includes perl modules 
and support files for access to ImageMagick library from perl.

%package	doc
Summary:	%{name} Documentation
Group:		Books/Other

%description	doc
This package contains HTML/PDF documentation of %{name}.

%prep

%setup -q -n %{name}-%{fversion}
%patch0 -p1 -b .docdir
%patch4 -p1 -b .include
%patch7 -p1 -b .urw
%patch8 -p1 -b .libname
%patch17 -p1 -b .fpx
%patch18 -p1 -b .windows
%patch19 -p1 -b .libpath
%patch20 -p1 -b .ppc
%patch21 -p0 -b .cve-2007-1667_1797
%patch22 -p1 -b .cve-2007-4985
%patch23 -p1 -b .cve-2007-4986
%patch24 -p1 -b .cve-2007-4987
%patch25 -p1 -b .cve-2007-4988
%patch26 -p1 -b .quantum_memory
%patch27 -p1 -b .setimageextent
%patch28 -p1 -b .cve-2008-1096
%patch29 -p1 -b .cve-2008-1097

%__libtoolize --copy --force
aclocal-1.8 -I m4
WANT_AUTOCONF_2_5=1 autoconf
automake-1.8

bzcat %{SOURCE1} > ImageMagick.pdf
install -m 644 %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} .

%build
#define __libtoolize /bin/true

export CFLAGS="$CFLAGS -fno-strict-aliasing -fPIC"
export CXXFLAGS="$CXXFLAGS -fno-strict-aliasing -fPIC"

# don't use icecream
export PATH=/bin:/usr/bin:/usr/X11R6/bin

%configure2_5x \
    --enable-fast-install \
    --disable-ltdl-install \
    --without-dps \
%if %build_modules
    --with-modules \
%else
    --without-modules \
%endif
    --enable-shared \
    --with-pic \
    --with-perl-options="INSTALLDIRS=vendor" \
%if %{enablefpx}
    --with-fpx=yes \
%endif
%if %{enable_jasper}
    --with-jp2 \
%else
    --without-jp2 \
%endif
%if %{enable_graphwiz}
    --with-dot \
%else
    --without-dot \
%endif

# without the following, it doesn't build correctly with "make -j 4"
perl -lpi -e '$_ .= " magick/libMagick.la" if index($_, q($(PERLMAKEFILE))) == 0' Makefile

%make

%check
# these tests require X
if [ -f PerlMagick/t/x/read.t ]; then
	mv PerlMagick/t/x/read.t PerlMagick/t/x/read.t.disabled
fi
if [ -f PerlMagick/t/x/write.t ]; then
	mv PerlMagick/t/x/write.t PerlMagick/t/x/write.t.disabled
fi
#dlname=`grep "^dlname" Magick++/lib/.libs/libMagick++.la | cut -d\' -f2`
#LD_PRELOAD="$PWD/Magick++/lib/.libs/$dlname" VERBOSE="1" make check

make check

%install
rm -rf %{buildroot}

# (Abel) set LD_RUN_PATH to null, to avoid adding rpath to perlmagick module
%makeinstall_std LD_RUN_PATH="" pkgdocdir=%{_datadir}/doc/%{name}-doc-%{fversion}

# Remove unpackaged files
rm -f %{buildroot}%{_libdir}/%{name}-%{fversion}/modules-%{qlev}/coders/*.a \
      %{buildroot}%{_libdir}/%{name}-%{fversion}/modules-%{qlev}/filters/*.a \
      %{buildroot}%{_libdir}/libltdl* 

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/Magick-config
%multiarch_binaries %{buildroot}%{_bindir}/Magick++-config
%multiarch_binaries %{buildroot}%{_bindir}/Wand-config
%multiarch_includes %{buildroot}%{_includedir}/magick/magick-config.h
%multiarch_includes %{buildroot}%{_includedir}/wand/wand-config.h
%endif

# nuke rpath
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Image/Magick/Magick.so

# icons
install -m 755 -d %{buildroot}%{_liconsdir} \
	   %{buildroot}%{_iconsdir} \
	   %{buildroot}%{_iconsdir}/hicolor/64x64/apps \
           %{buildroot}%{_miconsdir}
install -m 644 magick-icon_16x16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m 644 magick-icon_32x32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m 644 magick-icon_48x48.png %{buildroot}%{_liconsdir}/%{name}.png
install -m 644 magick-icon_64x64.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png

install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(ImageMagick): command="%{_bindir}/display" \
	needs="X11" \
	icon="%{name}.png" \
	section="Office/Graphics" \
	title="ImageMagick Viewer" \
	terminal="true" \
%if %{mdkversion} >= 200610
	xdg=true \
%endif
	longtitle="Views Graphics files"
EOF

install -m 755 -d %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=Views Graphics files
Exec=%{_bindir}/xterm -geometry 40x15 -title ImageMagick +sb -iconic -e %{_bindir}/display
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Office-Graphs;Graphics;Viewer;
EOF


%clean
rm -rf %{buildroot}

%post desktop
%update_menus

%postun desktop
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README.txt
%{_bindir}/animate
%{_bindir}/compare
%{_bindir}/composite
%{_bindir}/convert
%{_bindir}/conjure
%{_bindir}/display
%{_bindir}/identify
%{_bindir}/import
%{_bindir}/mogrify
%{_bindir}/montage
%{_bindir}/stream
%dir %{_libdir}/%{name}-%{fversion}
%dir %{_libdir}/%{name}-%{fversion}/modules-%{qlev}
%dir %{_libdir}/%{name}-%{fversion}/modules-%{qlev}/coders
%dir %{_libdir}/%{name}-%{fversion}/config
%{_datadir}/%{name}-%{fversion}
%{_libdir}/%{name}-%{fversion}/config/*.xml
%if %build_modules
%{_libdir}/%{name}-%{fversion}/modules-%{qlev}/filters
%{_libdir}/%{name}-%{fversion}/modules-%{qlev}/coders/*.so
%{_libdir}/%{name}-%{fversion}/modules-%{qlev}/coders/*.la
%endif
%{_mandir}/man1/*
%{_mandir}/man3/*
%exclude %{_mandir}/man3/*::*.3pm*

%files desktop
%defattr(-,root,root)
%{_menudir}/%{name}
%{_datadir}/applications/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/libMagick++-%{major}.so.0*
%{_libdir}/libMagick-%{major}.so.0*
%{_libdir}/libWand-%{major}.so.0*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/Magick-config
%multiarch %{multiarch_bindir}/Magick++-config
%multiarch %{multiarch_bindir}/Wand-config
%multiarch %{multiarch_includedir}/magick/magick-config.h
%multiarch %{multiarch_includedir}/wand/wand-config.h

%endif
%{_bindir}/Magick-config
%{_bindir}/Magick++-config
%{_bindir}/Wand-config
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%files -n perl-Image-Magick
%defattr(-,root,root)
%{_mandir}/man3*/*::*.3pm*
%{perl_vendorarch}/Image
%{perl_vendorarch}/auto/Image

%files doc
%defattr(-,root,root)
%doc ImageMagick.pdf ChangeLog LICENSE NEWS
%doc NOTICE QuickStart.txt
#doc www/ images/ index.html
# gw maybe we should the doc location in configure instead
%doc %_datadir/doc/%name-doc-%fversion/



%changelog
* Thu May 08 2008 Vincent Danen <vdanen@mandriva.com> 6.3.2.9-5.3mdv2007.1
- P28: security fix for CVE-2008-1096
- P28: security fix for CVE-2008-1097

* Mon Feb 04 2008 Vincent Danen <vdanen@mandriva.com> 6.3.2.9-5.2mdv2007.1
- P22: security fix for CVE-2007-4985
- P23: security fix for CVE-2007-4986
- P24: security fix for CVE-2007-4987
- P25: security fix for CVE-2007-4988 
- P26: use the quantum memory patch from SUSE which the security fixes rely on
- P27: use the SetImageExtent patch from SUSE which the security fixes rely on

* Fri Jul 13 2007 Vincent Danen <vdanen@mandriva.com> 6.3.2.9-5.1mdv2007.1
- P21: security fix for CVE-2007-1667 and CVE-2007-1797

* Sun Mar 11 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-5mdv2007.1
+ Revision: 141362
- Added desktop subpackage and menu (fix bug #29331). "display" won't start without xterm (KDE bug?).

* Tue Mar 06 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-4mdv2007.1
+ Revision: 133476
- Fixed conflict in man pages between main and perl package (thanks to Pixel).

  + Anssi Hannula <anssi@mandriva.org>
    - remove unused options and fix description

* Sun Mar 04 2007 Anssi Hannula <anssi@mandriva.org> 6.3.2.9-3mdv2007.1
+ Revision: 132189
- plf: disable fpx build (broken)

* Thu Mar 01 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-2mdv2007.1
+ Revision: 130660
- Rebuilt.

* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.9-1mdv2007.1
+ Revision: 125369
- Release: 6.3.2-9.

* Tue Feb 20 2007 Giuseppe Ghibò <ghibo@mandriva.com> 6.3.2.8-1mdv2007.1
+ Revision: 122953
- Release: 6.3.2-8.

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 6.3.2.5-2mdv2007.1
+ Revision: 121898
- add djvulibre support
- fix description

* Fri Feb 16 2007 Götz Waschk <waschk@mandriva.org> 6.3.2.5-1mdv2007.1
+ Revision: 121701
- new version
- new major
- drop patches 1, 21
- rediff patch 17
- fix patch 7, it was producing invalid xml in a font configuration file

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Release: 6.2.9-8.
    - Removed Patch10 (no longer needed).
    - Rebuilt Patch19.
    - Merged Patch21 from Stew Benetict (security fix for CVE-2006-5456).
    - Import ImageMagick



* Wed Aug 30 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.9.2-1mdv2007.0
- Release: 6.2.9-2 (also fixes CVE-2006-3743,3744,4144).
- Bumped lib %%major to 10.4.0.

* Mon Aug 21 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.8.8-1mdv2007.0
- Release: 6.2.8-8.

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8.7-1mdv2007.0
- new version

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 6.2.8.4-2mdv2007.0
- Rebuild with latest dbus

* Tue Jul 18 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8.4-1mdv2007.0
- new release

* Mon Jul 03 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.8.3-1mdv2007.0
- Release: 6.2.8-3.

* Mon Jul 02 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.8.2-1mdv2007.0
- Release: 6.2.8-2.

* Thu Jun 29 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8.1-1mdv2007.0
- fix doc patch again
- update file list
- new version

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 6.2.8-1mdv2007.0
- rebuild for png

* Thu Jun  8 2006 Gtz Waschk <waschk@mandriva.org> 6.2.8-1mdv2007.0
- new major
- new version

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 6.2.7-1mdk
- move tests to %%check
- drop patch 12
- disable graphviz for now (needs 2.9 development snapshot)
- update deps
- fix doc location
- update patch 8,17
- new version

* Tue Apr  4 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.8-1mdk
- new version

* Thu Mar 30 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.7-1mdk
- New release 6.2.6.7

* Tue Mar 28 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.4-4mdk
- fix devel exceptions for graphviz

* Fri Mar 24 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.4-3mdk
- rebuild for graphviz

* Wed Mar 15 2006 Gtz Waschk <waschk@mandriva.org> 6.2.6.4-2mdk
- spec fixes

* Mon Mar 13 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.4-1mdk
- 6.2.6-4.
- Rebuilt Patch8.

* Tue Feb 28 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.2-1mdk
- 6.2.6-2.

* Mon Jan 30 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.1-2mdk
- Bump major to 10.1.0.

* Mon Jan 30 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.6.1-1mdk
- 6.2.6-1.
- Rebuilt Patch10.
- Bump major to 10.0.0.

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.2.5.5-4mdk
- patch20: fix bug detected by montageImages test case on ppc

* Tue Jan 03 2006 Giuseppe Ghib <ghibo@mandriva.com> 6.2.5.5-3mdk
- fix major: should be derived from LIBRARY_CURRENT|REVISION|AGE.

* Sat Dec 31 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.2.5.5-2mdk
- fix major

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 6.2.5.5-1mdk
- 6.2.5-5
- regenerate P10
- convert to utf-8

* Mon Aug 29 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.4.3-1mdk
- Release: 6.2.4.3.

* Thu Aug 25 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.4.2-2mdk
- Removed type-windows.xml from type.xml (bug #10193).

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 6.2.4.2-1mdk
- 6.2.4-2
- nuke rpath
- new major

* Sat Aug 13 2005 GÃ¶tz Waschk <waschk@mandriva.org> 6.2.3.6-3mdk
- rebuild for new xorg

* Thu Aug 05 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.6-2mdk
- Rebuilt Patch8.

* Thu Aug 05 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.6-1mdk
- Release: 6.2.3-6.

* Thu Jul 21 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.4-1mdk
- Release: 6.2.3-4.

* Sat Jul 09 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.3-1mdk
- Release: 6.2.3-3.

* Fri Jun 24 2005 Giuseppe Ghibò <ghibo@mandriva.com> 6.2.3.2-1mdk
- Release: 6.2.3-2.
- Removed Patch20 (alphachannel), merged upstream.
- Rebuilt Patch10 (textfontsize).

* Wed Mar 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.0.3-8mdk
- fix #15097

* Sun Mar 20 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 6.2.0.3-7mdk
- add BuildRequires: libgd-devel

* Sat Mar 19 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.0.3-6mdk
- Rebuilt against latest jbigkit.

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.0.3-5mdk
- Rebuilt against fixed graphwiz libs

* Wed Mar 16 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.0.3-4mdk
- Backported patch from 6.2.0-8, for fixing wrong returned alpha channel when
  image don't have one.

* Thu Mar 10 2005 Pixel <pixel@mandrakesoft.com> 6.2.0.3-3mdk
- ensure "make -j 4" doesn't cause "perl Makefile.PL" to discard libMagick
  this fixes perl-Image-Magick which segfaulted because it was not linked with -lMagick.
- drop buggy patch14
  (the bugginess of patch14 comes from 5.5.7.15-3mdk)

* Wed Mar 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.2.0.3-2mdk
- fix the make test stuff with a twist

* Mon Feb 28 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.2.0.3-1mdk
- Release: 6.2.0-3.
- Disabled tests (problem with perl).

* Tue Feb 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.1.9.4-2mdk
- fix linking in the perl stuff (PLD)
- enable graphviz support
- run the tests (except x as it requires hands on)

* Mon Jan 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 6.1.9.4-1mdk
- fix deps and conditional %%multiarch.
- Release: 6.1.9-4.

* Sat Jan 22 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.9.2-1mdk
- Release: 6.1.9-2.

* Tue Jan 18 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.9-1mdk
- Release: 6.1.8-9.

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 6.1.8.7-3plf 
- fix perl module linkage
- use automake 1.8

* Sun Jan 16 2005 Luca Berra <bluca@vodka.it> 6.1.8.7-2mdk
- include parent directories in %%files

* Sat Jan 15 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.7-1mdk
- Release 6.8.1-7.

* Tue Jan 11 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.3-1mdk
- Release 6.8.1-3.

* Tue Jan 11 2005 Guillaume Rousse <guillomovitch@mandrake.org> 6.1.8.1-2mdk
- rebuild to have proper perl module linking (it still fails sometimes for unknwon reasons)
- perl package is perl-Image-Magick

* Sat Jan 08 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.8.1-1mdk
- Release 6.1.8-1.

* Tue Jan 06 2005 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.7.6-1mdk
- Release 6.1.7-6.
- Rebuilt Patch7.
- Rebuilt Patch14.
- Added Patch18 (bug #10093).
- Jasper is in main, so use it.

* Tue Dec 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.7.5-1mdk
- Merged Charles A Edwards changes:
  - Release 6.1.7-5.
  - rm libltdl* files.

* Mon Dec 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.1.7.4-1mdk
- Removed Patch18 (merged upstream).
- Rebuilt Patch8.

* Mon Nov 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-8mdk
- security fix for CAN-2004-0981 (Vincent Danen).

* Wed Nov 24 2004 Götz Waschk <waschk@linux-mandrake.com> 6.0.4.4-7mdk
- enable jasper, it's in main

* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 6.0.4.4-6mdk
- Rebuild for new perl

* Fri Oct 08 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-5mdk
- Added Patch21, to fix security problems, CAN-2004-0827.

* Mon Sep 27 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-4mdk
- Added Patch20, to fix antialias problem during PS converting
  with ghostscript delegate (bug #11765).

* Sat Sep 11 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-3mdk
- Added Patch19, to fix grab button problem (bug #11207).

* Sat Sep 11 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-2mdk
- Added Patch18, to move windows font path later in type.mgk
  (fixes bug #10193).

* Mon Aug 16 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.4-1mdk
- Release: 6.0.4-4.

* Thu Aug 12 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.3-1mdk
- Release: 6.0.4-3.

* Thu Aug 05 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.2-1mdk
- Release: 6.0.4-2.
- Added -fPIC and --with-pic to have ImageMagick libraries working 
  with prelink (Thierry).

* Sun Aug 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 6.0.4.1-2mdk
- rebuilt to fix invalid vendor and distribution
- misc spec file fixes

* Wed Jul 28 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.4.1-1mdk
- Release: 6.0.4-1.

* Mon Jul 26 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.3.5-1mdk
- Release: 6.0.3-5.

* Mon Jul 19 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.3.3-1mdk
- Release: 6.0.3-3.
- Removed Patch15 (browser), merged upstream.

* Thu Jun 24 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.2.7-1mdk
- Release: 6.0.2-7.

* Sat Jun 12 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.2.6-1mdk
- Release: 6.0.2-6.

* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 6.0.1.4-2mdk
- Rebuild

* Mon May 31 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 6.0.1.4-1mdk
- Release: 6.0.1-4.
- Removed Patch11, merged upstream.
- Rebuilt Patch4, Patch7, Patch8, Patch14, Patch17.
- Force enable-lzw=no (probably up to 7 July 2004, when LZW patents
  will expire in Canada too).

* Mon May 31 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.20-1mdk
- Revision: 5.5.7-20.
- Updated Patch12.

* Wed Apr 07 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.17-2mdk
- Merged Götz patches from 5.5.7.15-6mdk.

* Sat Apr 03 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.17-1mdk
- Revision: 5.5.7-17.
- Removed Patch16 for freetype2 (no longer needed).

* Mon Mar  1 2004 Götz Waschk <waschk@linux-mandrake.com> 5.5.7.15-6mdk
- patch 17: fix Magick-config output
- fix devel deps

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 5.5.7.15-5mdk
- Fix BuildRequires again
- Use extra build switch for jasper (which moved from plf to contrib)
- Fix license (it comes with many licenses, but seems all of them are
  similar to BSD/X11, just replacing the name of software)
- Add -fno-strict-aliasing to CFLAGS

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 5.5.7.15-4mdk
- BuildRequires

* Mon Jan 26 2004 Abel Cheung <deaddog@deaddog.org> 5.5.7.15-3mdk
- Split documentation into subpackage
- Remove mpeg2/hdf dependency, support dropped some time ago
- Remove menu entry
- Fix configure options and remove ones which are already default
- Move pkgconfig file to devel
- Drop patch13 (fpx linkage not problematic here)
- Redo patch14 (perl-magick linkage)
- Patch15: Set default browser to mozilla instead of netscape
- Patch16: Build fix against freetype 2.1.7
- Requires fixed libtool, using system libtool for linkage should not
  be faulty now (for linking main library, not for modulized version)

* Thu Jan 22 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.15-2mdk
- Enabled libwmf support.

* Wed Jan 07 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.15-1mdk
- Revision: 5.5.7-15.
- Temporary disabled libwmf support, until libwmf will get fixed against
  current freetype 2.1.7.

* Tue Dec 09 2003 Guillaume Rousse <guillomovitch@mandrake.org> 5.5.7.13-3mdk
- Use configure to pass perl options.

* Mon Dec 08 2003 Guillaume Rousse <guillomovitch@mandrake.org> 5.5.7.13-2mdk
- Standard macros (Charles A Edwards <eslrahc@bellsouth.net>).
- Install perl module in %{perl_vendorarch}, not %{perl_sitearch}.

* Wed Nov 26 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.5.7.13-1mdk
- Revision: 5.5.7-13.
- Fix perl-magick linkage.
- Fixed perl-base dependency.

* Wed Nov 05 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.12-1mdk
- Revision: 5.5.7-12.

* Sun Oct 25 2003 Stefan van der Eijk <stefan@eijk.nu> 5.5.7.10-8mdk
- BuildRequires.

* Thu Aug 28 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.10-7mdk
- Added SPEC file fixes from Guillaume Rousse 
  <guillomovitch@linux-mandrake.com>, i.e. removed ldconfig, bzip2
  (implicit), freetype2 and libxml2 from Requires; added better
  description for %%build_plf; use %%global instead of %%expand.

* Wed Aug 27 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.10-6mdk
- Fixed Requires in perl package (sugg. by Charles A Edwards).

* Wed Aug 27 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.10-5mdk
- Added Requires: perl-base >= 5.801 in perl package.
- fixed DIRM: /usr/lib/ImageMagick-5.5.7/modules-Q16/.
- fixed DIRM: /usr/lib/ImageMagick-5.5.7/modules-Q16/coders/.
- fix fpx linkage (Götz Waschk <waschk@linux-mandrake.com>).

* Thu Aug 21 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.10-4mdk
- Dropped dynamic modules, now included into libMagick libs
  (build --with modules if one still wants them).
- Removed unused patches.

* Tue Aug 19 2003 David Baudens <baudens@mandrakesoft.com> 5.5.7.10-3mdk
- Rebuild

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.5.7.10-2mdk
- Use system libtool for the time being

* Wed Aug  6 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.7.10-1mdk
- Release: 5.5.7-10.
- Disabled Patch0 (qcontrolq), Patch2 (perlmagick).
- Added Patch8 (libpath) and fixed version.sh.
- Removed Patch9 (merged in mainstream).
- Added Patch11 (for Magick++-config -version).
- Added --with-quantum-depth=16 in configure.

* Tue Aug  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.5.4.4-10mdk
- Rearrange Requires for -devel package though that should be OK
  without thanks to new rpm devel() dependencencies

* Sat Jul 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 5.5.4.4-9mdk
- rebuild

* Fri Jun 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 5.5.4.4-8mdk
- rebuild to get proper provides

* Tue Mar 04 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-7mdk
- menu entry with "text" instead of "X11" so that "display" will
  run in a terminal, otherwise it doesn't run from menu (KDE problems?).
  Workaround for bug #1904.

* Tue Mar 04 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-6mdk
- Added Patch10 to avoid missed font when asking for "Image Info" in
  display command.

* Mon Mar 03 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-5mdk
- Added Patch9 to fix a problem with -page argument (Bug #2620).

* Thu Feb 20 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-4mdk
- Enabled libmpeg2dec support (now it's in main).

* Tue Feb 18 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-3mdk
- Removed --enable-ltdl-install in configure.
- __libtolize to /bin/true (Gwenole).

* Tue Feb 18 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-2mdk
- Don't libtoolize (Gwenole).

* Mon Feb 17 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.4-1mdk
- Revision: 5.5.4-4.
- Added automake1.6 to BuildRequires.
- Removed libtoolize -c -f before %%configure, otherwise
  $shared_ext is not defined.

* Tue Jan 28 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.4.1-1mdk
- Release: 5.5.4-1.
- Removed Q16 from libversion name.

* Tue Jan 07 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.3.2-1mdk
- Release: 5.5.3-2.

* Mon Dec 16 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.2.5-1mdk
- Release: 5.5.2-5.
- Removed Patch5 (libname) now merged into main tree.
- Removed Patch6 (jasper) now merged into main tree.

* Fri Nov 22 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.1.6-1mdk
- Patch Release: 5.5.1-6.
- Obsoletes: libMagick5, libMagick5-devel.

* Wed Nov 13 2002 Daouda LO <daouda@mandrakesoft.com> 5.5.1.5-4mdk
- don't link against libmpeg2dec0

* Sun Nov 10 2002 Stefan van der Eijk <stefan@eijk.nu> 5.5.1.5-3mdk
- BuildRequires:  expat-devel

* Sun Nov 10 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.1.5-2mdk
- Added conditional build flag for libfpx.
- Added patch for using URW fonts with their original fontname
  (suggested by Vadim Plessky).

* Sun Nov 10 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.1.5-1mdk
- Patch Release: 5.5.1-5.
- Added fcrozat suggestion to ensure major of 0 on shared libraries.
- Added conditional build flag to use jasper library (for JPEG2000 support).

* Sat Oct 16 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.1.2-1mdk
- Patch Release: 5.5.1-2.

* Wed Oct 16 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.5.1-1mdk
- Release: 5.5.1.

* Mon Sep 30 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.9.1-2mdk
- re-enabled wmf.

* Mon Sep 16 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.9.1-1mdk
- Release: 5.4.9-1.

* Thu Sep 12 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.8.3-2mdk
- Added Patch4: remove hardcoded /usr/include from Magick-config and 
  Magick++-config (because can cause problems on configure scripts).

* Fri Sep 05 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.8.3-1mdk
- Updated to revision 5.4.8-3 (fixes color problem with "import", reported
  by Camille).

* Wed Sep 04 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.8.1-3mdk
- Regenerated Patch4 and changed order when it's applied.

* Fri Aug 21 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.8.1-2mdk
- Backport 'AlphaComposite()' and 'command' fixes from 5.4.8-2 (Patch4).

* Mon Aug 19 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.8.1-1mdk
- Release: 5.4.8-1 (fixes some memleak).
- Rebuilt against liblcms 1.09.

* Tue Aug 13 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.8-1mdk
- Release: 5.4.8.

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 5.4.7.4-3mdk
- rebuild for perl thread-multi

* Mon Jul 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 5.4.7.4-2mdk
- Rpmlint fixes: hardcoded-library-path
- Remove compiler hardcoding silliness

* Sat Jul 13 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.7.4-1mdk
- Release: 5.4.7.4.

* Wed Jul 10 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.7.1-1mdk
- Release: 5.4.7.1.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 5.4.6.3-2mdk
- rebuild for perl 5.8.0

* Fri Jun 28 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.6.3-1mdk
- Release: 5.4.6.3.

* Tue Jun 18 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.6.1-1mdk
- Release: 5.4.6-1.
- Removed Patch3 (now merged into main).

* Tue Jun 04 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.6-1mdk
- new release: 5.4.6.
- readapted Patch3.

* Tue May 07 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.5.1-1mdk
- new release: 5.4.5-1.
- built with gcc 3.1 environment.

* Fri Apr 12 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.4.5-1mdk
- revision 5.4.4-5.

* Wed Apr 08 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.4.4-1mdk
- revision 5.4.4-4.

* Wed Apr 02 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.4.1-1mdk
- new release: 5.4.4-1.

* Sun Mar 10 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.11-1mdk
- revision 5.4.3-11.

* Sun Mar 03 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.9-1mdk
- updated to revision 5.4.3-9.
- removed rpath in perl Magick.so library.
- added fix netscape -> mozilla in delegates.mgk.

* Thu Feb 28 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.7-1mdk
- updated to version 5.4.3-7.
- removed Patch3, Patch4 (now merged into main tree).

* Sat Feb 23 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.5-3mdk
- added Patch4 (-5.4.3-ps3dsc) so that '%%' isn't doubled in
  WriteBlobString().

* Sat Feb 23 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.5-2mdk
- added Patch3 (-5.4.3-ps2dsc) so that '%%' isn't doubled.

* Sat Feb 23 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.5-1mdk
- updated to revision 5.4.3-5.

* Thu Feb 21 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.4-1mdk
- updated to revision 5.4.3-4.

* Wed Feb 20 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.3-1mdk
- updated to revision 5.4.3-3.

* Tue Feb 19 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.2-1mdk
- updated to revision 5.4.3-2.

* Tue Feb 19 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.3.1-1mdk
- updated to version 5.4.3-1.
- removed lcms patch (now merged into main tree).

* Thu Jan 24 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com.> 5.4.2.3-1mdk
- updated to revision 5.4.2-3.
- changed version numbering.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 5.4.2-3mdk
- Fix menu entry (png icon).

* Fri Jan 04 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.2-2mdk
- removed pkgdocdir=%%{buildroot}%%{_datadir}/%%{mgkdir} in
  make install, now merged into main tree.
- added libtoolize -c -f (suggested by Abel) to let ImageMagick
  build without libMagick-devel installed.

* Fri Jan 04 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.2-1mdk
- updated to version 5.4.2-2.
- removed Patch3 (now merged into main tree).
- added Patch4 (to get the right include for lcms.h)

* Sun Dec 10 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.1-2mdk
- updated to version 5.4.1-2.
- added Patch3 (ImageMagick-5.4.1-hdf.patch) for Intensity()
  argument.
- temporary disabled wmf support.

* Mon Dec 03 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.1-1mdk
- updated to 5.4.1.

* Thu Nov 08 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.0.5-1mdk
- updated to 5.4.0.5.

* Sun Nov 04 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.4.0.2-1mdk
- updated to release 5.4.0.2.
- rebuilt against libtool.
- use DESTDIR.
- added %%perl* macros.
- use again of %%make.

* Wed Oct 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.9-2mdk
- added perlmagick patch to let ImageMagick build without its devel
  package installed.

* Tue Oct 09 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.9-1mdk
- updated to version 5.3.9 (this version is a bug-fix release to resolve
  bugs reported against 5.3.8, 5.3.8.1, and 5.3.8.2).

* Mon Sep 17 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-10mdk
- updated to version 5.3.8.2 (fixed GetImagePixels() calls in draw.c).

* Mon Sep 10 2001 David BAUDENS <baudens@mandrakesoft.com> 5.3.8-9mdk
- Use safe images (from a legal point of view) for menu entries.

* Thu Sep 06 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-8mdk
- updated to version 5.3.8.1 final (bugfixes).

* Wed Sep 05 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-7mdk
- build with 5.3.8 version dated 20010903.

* Sun Sep 02 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-6mdk
- build with 5.3.8 version dated 20010901.

* Sat Sep 01 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-5mdk
- build with 5.3.8 version dated 20010830.
- added Provides: ImageMagick-devel (François).
- added Obsoletes: ImageMagick-devel (François).

* Thu Aug 30 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-4mdk
- build with 5.3.8 version dated 20010828.

* Tue Aug 28 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-3mdk
- build with 5.3.8 version dated 20010827.

* Mon Aug 27 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-2mdk
- build with 5.3.8 version dated 20010825 (fixes xpm coder).

* Wed Aug 22 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-1mdk
- 5.3.8.

* Fri Aug 03 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.8-0.1mdk
- beta of 5.3.8.

* Sun Jul 29 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.7-6mdk
- rebuilt with to version 5.3.7 dated 20010726.
- removed cgimagick and iptcutil from %_bindir.

* Sat Jul 28 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.7-5mdk
- added icons for the command "display".

* Thu Jul 26 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.7-4mdk
- BuildRequires: libhdf5-devel.
- removed buildroot dir from .la files.

* Tue Jul 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.7-3mdk
- fixed package date!

* Tue Jul 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.7-2mdk
- package rebuilt.

* Tue Jul 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.7-1mdk
- updated to version 5.3.7.
- readapted Patch11.
- removed Patch12 (fixes for lcms include).

* Tue Jul 17 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.6-6mdk
- added Obsoletes: ImageMagick-lib, ImageMagick-devel (Thanks to cookers :-).

* Mon Jul 16 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.6-5mdk
- fixed Requires in main package.

* Mon Jul 16 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.6-4mdk
- package split.
- 20010714 sources.

* Sat Jul 14 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.6-3mdk
- rebuild with 5.3.6 sources dated 20010712.

* Thu Jun 28 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.6-2mdk
- added missed lzw conditional flag checking.

* Wed Jun 27 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.6-1mdk
- updated to release 5.3.6.

* Mon Jun 25 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 5.3.5-3mdk
- sigh, s/ifarch x86/ifnarch ppc/.
- fix conditional --with-hdf quoting problem.

* Thu Jun 21 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.5-2mdk
- rebuild with release 5.3.5 (20010620).
- added c++ includes.
- moved delegates.mgk.

* Tue Jun 12 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.5-1mdk
- updated to release 5.3.5.

* Thu May 31 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.4-1mdk
- updated to release 5.3.4.

* Sat May 19 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.3-4mdk
- added libbzip2-devel and libxpm-devel to BuildRequires.

* Wed May 16 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.3-3mdk
- added composite to files list (thanks to Ed Avis <eavis@arsdigita.com>).

* Wed May 09 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.3-2mdk
- added libxml2, libxml2-devel to Requires and Buildrequires.

* Tue May 02 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.3-1mdk
- updated to release 5.3.3.

* Fri Apr 20 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.2-1mdk
- updated to release 5.3.2.
- added Magick++-config, cgimagick, iptcutil to %files list and
  removed combine.

* Sat Mar 31 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.1-1mdk
- updated to release 5.3.1 (fixes bugs).
- added patch12 because lcms.h path has changed again!

* Tue Mar 27 2001 David BAUDENS <baudens@mandrakesoft.com> 5.3.0-4mdk
- PPC: build even if sane is not installed.

* Tue Mar 08 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.0-3mdk
- fixed coders/*.la files.

* Wed Mar 07 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.3.0-2mdk
- added liblcms in BuildRequires.
- obsoleted camille patch for delegates.mgk.

* Mon Mar 05 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.3.0-1mdk
- Version 5.3.0.
- Really include lcms support.

* Wed Feb 21 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.9-3mdk
- Fix build on PPC

* Wed Feb 21 2001 Camille <camille@mandrakesoft.com> 5.2.9-2mdk
- add %{_libdir}/ImageMagick/modules/coders/delegates.mgk

* Tue Feb 13 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.2.9-1mdk
- release 5.2.9.

* Mon Jan 30 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.2.8-1mdk
- release 5.2.8.
- removed ImageMagick-5.2.7-ps.patch (now merged), and ltdl patch.
- removed option --enable-16bit-pixel in configure, now default.

* Wed Jan 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.2.7-5mdk
- added liblcms.

* Tue Jan 24 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.2.7-4mdk
- added Imagemagick-5.2.7-ps.patch from ImageMagick CVS to fix the
  Camille's problems.
- added patch11 for perl-magick linking.

* Fri Jan 19 2001 David BAUDENS <baudens@mandrakesoft.com> 5.2.7-3mdk
- Fix (once again) build on PPC
- Don't "BuildRequires: " things which are not designed for PPC
- Spec clean up

* Tue Jan 16 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.2.7-2mdk
- fixed problems with EPS delegates.

* Sun Jan 14 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 5.2.7-1mdk
- new release.
- added support for HDF5, lcms, jbig formats.
- more BuildRequires.

* Sun Dec 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.6-2mdk
- Fix again build for PPC
- bzip2 patches
- Really use optimizations

* Tue Dec 05 2000 Geoffrey lee <snailtalk@mandrakesoft.com> 5.2.6-1mdk
- new and shiny version bumped into cooker.
- remove the self compile patch.
- build with freetype2.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-3mdk
- Fix URL

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 5.2.5-2mdk
- Fix build for PPC

* Tue Oct 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.5-1mdk
- s/5.2.4/5.2.5/

* Sun Oct 15 2000 Geoffrey Lee <snailtlak@mandrakesoft.com> 5.2.4-1mdk
- s/5.2.3/5.2.4/ aka new shiny ImageMagick.

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.3-3mdk
- don't BuildRequires on ImageMagick-devel.

* Wed Sep 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.3-2mdk
- build release

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.3-1mdk
- s|5.2.2|5.2.3|.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 5.2.2-6mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 5.2.2-5mdk
- put *.la back to main package (otherwise doesn't work!)
- use %%{perl_vendorarch}
- %{_libdir}/ImageMagick and subdirs now belongs to main package

* Fri Jul 28 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-4mdk
- put module *.so files in the main package while *.la and *.a go to devel

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-3mdk
- split out modules in -lib packages for lord rpmlint (gl scks)

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.2.2-2mdk
- build withmodules (titiscks)
- license is opensource
- should be ./configure --prefix=_prefix not /usr (titiscks)

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.2-1mdk
- new release

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.1-1mdk
- new release
- BM (this one give me an hard time :-( thanks for the gift)

* Thu Jul 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-6mdk
- since Lord Chmou've upload my test rpm without asking me before whereas it
  was bogus, i make a new release.
  Language lab, lesson 6, repeat after me : chmou sucks :-)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.2.0-5mdk
- built against new libbz2

* Wed Jun 28 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.2.0-4mdk
- Changed i386 into %{_arch} in filelist

* Fri Jun 23 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-3mdk
- Correct %file of perl-Magick no more empty pod.

* Thu Jun 22 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-2mdk
- Correct local file owner in perl-Magick.

* Wed Jun  7 2000 Vincent Saugey <vince@mandrakesoft.com> 5.2.0-1mdk
- Up to 5.2.0

* Wed May 10 2000 Stefan Siegel <siegel@linux-mandrake.com>
- Split ImageMagick-devel in ImageMagick-devel and perl-Magick.
- moved Magick-config to ImageMagick-devel.

* Wed Apr 26 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-7mdk
- Change prefix to /usr.
- Update to second version 5.1.1 of wizard.dupont.
- Move include files in %{_includedir}/magick.
- Remove entry menu for display (needs a terminaux stdin)
- Now, compile alone (with good librairie in rpm build dir)

* Wed Apr 19 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-6mdk
- Doc file slipt into the two package.

* Mon Apr 17 2000 Vincent Saugey <vince@mandrakesoft.com> 5.1.1-5mdk
- Patch ltconfig to remove rpath.

* Fri Apr  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-4mdk
- Really apply patch.

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-3mdk
- Prereq: /sbin/ldconfig.
- Add menu.
- Adjust groups.
- No need to do Ctrl-q to quit (just q or c-q if you really want).

* Wed Feb 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 5.1.1-2mdk
- Recompile ImageMagick-devel with the right 5.1.1 devel.

* Thu Jan 13 2000 Vincent Saugey <vince@mandrakesoft.com>
- update to 5.1.0
- Add documentation ImageMagick.pdf

* Mon Nov 01 1999 Vincent Saugey <vincent@mandrakesoft.com>
- 4.2.9
- ImageMagick now supports native blob support for most of the image formats.  
- Enable accented letters in text for Postscript fonts
- Broke up some of the large source modules into smaller more managable modules. 
- Added methods CreateImage and GetPixels to make using float arrays of pixels easier.
- Fixed GS delegate to get around a Ghostscript bug for device pnmraw (bug report by Thomas Baker).        
- Added ImageMagick User's Guide to the distribution. See ImageMagick/docs directory.
- Drawing primitives are antialiased now 
- Several API changes were made to accomodate Magick++, the C++ ImageMagick API wrapper 
- Several API changes were made to make the ImageMagick API thread safe. 
- Many others changes

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Handle SMP compilation.
- 4.2.7.
- Remove unused patch.

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 4.2.3
- Mandrake adaptions
- add de locale

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- include the perl man pages as well

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- remove --enable-16bit because it damages interoperability

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- update to 4.2.2
- change ChangeLog to refer to actual dates. 
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- add more files. Oops.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 10 1999 Bill Nottingham <notting@redhat.com>
- version 4.2.1

* Tue Jan 19 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed group

* Tue Jan 19 1999 Cristian Gafton <gafton@redhat.com>
- hacks to make it work with the new perl
- version 4.1.0 (actually installs the sonames as 4.0.10... doh!)
- make sure the libraries have the x bit on

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.5

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.0.4
- added BuildRoot

* Thu Oct 23 1997 Donnie Barnes <djb@redhat.com>
- updated from 3.8.3 to 3.9.1
- removed PNG patch (appears to be fixed)

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 20 1997 Michael Fulbright <msf@redhat.com>
- updated to version 3.8.3.
- updated source and url tags.
